﻿using System.Runtime.Serialization;
using System.Collections.Generic;

namespace HeuristicLab.Services.Authentication.DataTransfer {
  [DataContract]
  public abstract class Resource {
    public enum ResourceTypes { Client, ResourceGroup };

    [DataMember]
    public System.Guid Id { get; set; }
    [DataMember]
    public string Name { get; set; }
    [DataMember]
    public string Description { get; set; }
    [DataMember]
    public ResourceTypes ResourceType { get; set; }
    [DataMember]
    public IEnumerable<System.Guid> ResourceGroup { get; set; }
  }
}

